This URL gets the endpoints information.
Resource URL
GET /<nbaid>/endpointintelligence/<hash>/endpoints? duration=<duration>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| duration | Duration
|
String | No |
| hash | Hash | String | Yes |
| nbaId | NTBA monitors id | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| EndpointList | List of endpoints | Array |
Details of EndpointList:
| Field Name | Description | Data Type |
|---|---|---|
| ipAddress | Executable hash | String |
| hostName | Executable name | String |
| os | Executable versions | String |
| user | Classification | String |
| connectionsCount | Connections count | Int |
| eventsCount | Events count | Int |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/1001/endpointintelligence/aaaaaaaa16/endpoints?duration=LAST_14_DAYS
Response
{
"endpointList":
[{"ipAddress":"2.1.1.1","hostName":"","os":"","user":"poori.com\\admin@test.com","connectionsCount":3,"eventsCount":0}]
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 3601 | Invalid duration |
| 2 | 400 | 4901 | Invalid hash/failed retrieve |